# notion.dataSources.get

Read a Notion data source's properties and suggested mappings for each role (invoices, customers, vendors, contacts), including suggested status option mappings.

`GET | POST /api/v1/accounting/notion.dataSources.get`

Permissions: `accounting:read` · Roles: admin, finance · Reaches outside Oatmilk (email or a provider)

MCP tool: `accounting_notion_data_sources_get`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `id` | string | Yes | The record's ID. 32–36 characters. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/notion.dataSources.get \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'id=9f2b5c1d7e3a4b6c8d0e2f4a6b8c0d2e'
```

Reference page: https://app.getoatmilk.com/docs/api/notion.dataSources.get
